Subject: Re: [PATCHv6 16/16] Introduce portable_unset and use it to ensure proper && chaining

From: Jonathan Nieder <[email-masked]>
Date: Sun, 3 Oct 2010 23:44:02 -0500

Ævar Arnfjörð Bjarmason wrote:

>                         I don't know if we came to an agreement on
> using test_might_fail for non-builtins

Non-builtins: okay.
Non-git commands: no.

That's just my take, though; if the project consensus is different,
who am I to resist it?

> but the docs on do's & dont's
> should mention how to do that

Is it common to need to do

	{
		grep dontknowifitwillmatch file >result ||
		true
	}

for commands other than unset?  If so, then I guess we should adopt
Sverre's cmd_might_fail to make it less noisy, anyway.

> and portable_unset should be documented
> in a new section in "Test harness library".

Yes, that sounds good.